{% extends 'base.html.twig' %}

{% block title %}New Contactos{% endblock %}

{% block body %}
    <h1>Create new Contactos</h1>

    {{ include('contactos/_form.html.twig', {'button_label': 'Guardar'}) }}

    <a href="{{ path('contactos_index') }}">back to list</a>
{% endblock %}

{% block javascripts %}
<script>
    
    /******** script para guardar el valor de los inputs al refrescar la página para añadir más teléfonos*****/
    
    //selecciono todos los input text y los meto en una variable:
    var inputs=document.querySelectorAll("input[type=text]");
    
    //recorro todos los inputs y meto sus ids en una variable:
    var ids=[];
    for(i=0;i<inputs.length;i++){
        ids[i]=inputs[i].id;
    }
    
    //asigno a cada elemento el value salvado en la memoria temporal:
    for(i=0;i<ids.length;i++){
        document.getElementById(ids[i]).value = getSavedValue(ids[i]);
    }
    
    
    console.log(ids);        
            
    //Save the value function - save it to localStorage as (ID, VALUE)
        function saveValue(e){
            var id = e.id;  // get the sender's id to save it . 
            var val = e.value; // get the value. 
            localStorage.setItem(id, val);// Every time user writing something, the localStorage's value will override . 
        }
        
        //get the saved value function - return the value of "v" from localStorage. 
        function getSavedValue  (v){
            if (localStorage.getItem(v) === null) {
                return "";// You can change this to your defualt value. 
            }
            return localStorage.getItem(v);
        }
       
</script>
{% endblock %}